package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.entity.BmsShipbillSettlementModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BmsShipbillSettlementMapper extends BaseMapper<BmsShipbillSettlementModel> {

    void updateOrder(@Param("model") BmsShipbillSettlementModel model);

    void insertBatch(@Param("list") List<BmsShipbillSettlementModel> list);

    void insert(@Param("model") BmsShipbillSettlementModel model);
}
